local base_param = ...
local sw,sh,scx,scy,songdir,rr,am,bt,hs,pe,hr,ease,wratio,hratio,paraph = base_param.sw,base_param.sh,base_param.scx,base_param.scy,base_param.songdir,base_param.rr,base_param.am,base_param.bt,base_param.hs,base_param.pe,base_param.hr,base_param.ease,base_param.wratio,base_param.hratio,base_param.paraph
local af = Def.ActorFrame{}

for i = 1, 16 do
	af[#af+1] = paraph.AMVQuad({})..{
		Name=tostring(i),
		OpenCommand=function(self)
			self:SetTexture(self:GetParent():GetParent():GetChild('NoteField'):GetTexture())
		end,
	}
end

return af